[maemo-commits] [maemo-commits] r17627 - projects/haf/trunk/pango1.0/debian

From: subversion at stage.maemo.org subversion at stage.maemo.org
Date: Tue Mar 10 11:56:24 EET 2009
Author: herzi
Date: 2009-03-10 11:56:19 +0200 (Tue, 10 Mar 2009)
New Revision: 17627

Added:
   projects/haf/trunk/pango1.0/debian/libpango1.0-0.postinst
Removed:
   projects/haf/trunk/pango1.0/debian/libpango1.0.postinst
Modified:
   projects/haf/trunk/pango1.0/debian/changelog
   projects/haf/trunk/pango1.0/debian/rules
Log:
pango1.0 (1.20.1-2maemo4) unstable; urgency=low

  * properly install the post-install script
  * create an empty modules file for the package, there's no point in creating
    one with the modules that the package builder has installed locally

 -- Sven Herzberg <sven at imendio.com>  Mon,  2 Mar 2009 16:06:56 +0100


Modified: projects/haf/trunk/pango1.0/debian/changelog
===================================================================
--- projects/haf/trunk/pango1.0/debian/changelog	2009-03-10 07:45:13 UTC (rev 17626)
+++ projects/haf/trunk/pango1.0/debian/changelog	2009-03-10 09:56:19 UTC (rev 17627)
@@ -1,3 +1,11 @@
+pango1.0 (1.20.1-2maemo4) unstable; urgency=low
+
+  * properly install the post-install script
+  * create an empty modules file for the package, there's no point in creating
+    one with the modules that the package builder has installed locally
+
+ -- Sven Herzberg <sven at imendio.com>  Mon,  2 Mar 2009 16:06:56 +0100
+
 pango1.0 (1.20.1-2maemo3) unstable; urgency=low
 
   * Revisit where which files belong to fix conflicts

Copied: projects/haf/trunk/pango1.0/debian/libpango1.0-0.postinst (from rev 17271, projects/haf/trunk/pango1.0/debian/libpango1.0.postinst)
===================================================================
--- projects/haf/trunk/pango1.0/debian/libpango1.0.postinst	2009-01-23 15:51:34 UTC (rev 17271)
+++ projects/haf/trunk/pango1.0/debian/libpango1.0-0.postinst	2009-03-10 09:56:19 UTC (rev 17627)
@@ -0,0 +1,69 @@
+#! /bin/sh
+# postinst script for pango
+#
+# see: dh_installdeb(1)
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+# quoting from the policy:
+#     Any necessary prompting should almost always be confined to the
+#     post-installation script, and should be protected with a conditional
+#     so that unnecessary prompting doesn't happen if a package's
+#     installation fails and the `postinst' is called with `abort-upgrade',
+#     `abort-remove' or `abort-deconfigure'.
+
+case "$1" in
+    configure)
+	/usr/sbin/update-pango-modules
+
+	db_get libpango1.0-common/use_defoma
+	if [ "$RET" = "true" ]; then
+		/usr/sbin/update-pangox-aliases
+		if test -f /etc/pango/pangox.aliases && ! test -h /etc/pango/pangox.aliases; then
+			mv /etc/pango/pangox.aliases /etc/pango/pangox.aliases-old
+		fi
+		if ! test -e /etc/pango/pangox.aliases && test -f /var/lib/defoma/pango.d/pangox.aliases; then
+			ln -sf /var/lib/defoma/pango.d/pangox.aliases /etc/pango/pangox.aliases
+		fi
+	else
+		if test -f /etc/pango/pangox.aliases && test -h /etc/pango/pangox.aliases; then
+			/usr/sbin/update-pangox-aliases
+			rm -f /etc/pango/pangox.aliases
+			sed -e 's/## THIS FILE.*//g' /var/lib/defoma/pango.d/pangox.aliases > /etc/pango/pangox.aliases
+			chmod 644 /etc/pango/pangox.aliases
+		elif ! test -f /etc/pango/pangox.aliases; then
+			/usr/sbin/update-pangox-aliases
+			sed -e 's/## THIS FILE.*//g' /var/lib/defoma/pango.d/pangox.aliases > /etc/pango/pangox.aliases
+		fi
+	fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

Deleted: projects/haf/trunk/pango1.0/debian/libpango1.0.postinst
===================================================================
--- projects/haf/trunk/pango1.0/debian/libpango1.0.postinst	2009-03-10 07:45:13 UTC (rev 17626)
+++ projects/haf/trunk/pango1.0/debian/libpango1.0.postinst	2009-03-10 09:56:19 UTC (rev 17627)
@@ -1,69 +0,0 @@
-#! /bin/sh
-# postinst script for pango
-#
-# see: dh_installdeb(1)
-
-set -e
-
-#. /usr/share/debconf/confmodule
-
-# summary of how this script can be called:
-#        * <postinst> `configure' <most-recently-configured-version>
-#        * <old-postinst> `abort-upgrade' <new version>
-#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
-#          <new-version>
-#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
-#          <failed-install-package> <version> `removing'
-#          <conflicting-package> <version>
-# for details, see http://www.debian.org/doc/debian-policy/ or
-# the debian-policy package
-#
-# quoting from the policy:
-#     Any necessary prompting should almost always be confined to the
-#     post-installation script, and should be protected with a conditional
-#     so that unnecessary prompting doesn't happen if a package's
-#     installation fails and the `postinst' is called with `abort-upgrade',
-#     `abort-remove' or `abort-deconfigure'.
-
-case "$1" in
-    configure)
-	/usr/sbin/update-pango-modules
-
-	db_get libpango1.0-common/use_defoma
-	if [ "$RET" = "true" ]; then
-		/usr/sbin/update-pangox-aliases
-		if test -f /etc/pango/pangox.aliases && ! test -h /etc/pango/pangox.aliases; then
-			mv /etc/pango/pangox.aliases /etc/pango/pangox.aliases-old
-		fi
-		if ! test -e /etc/pango/pangox.aliases && test -f /var/lib/defoma/pango.d/pangox.aliases; then
-			ln -sf /var/lib/defoma/pango.d/pangox.aliases /etc/pango/pangox.aliases
-		fi
-	else
-		if test -f /etc/pango/pangox.aliases && test -h /etc/pango/pangox.aliases; then
-			/usr/sbin/update-pangox-aliases
-			rm -f /etc/pango/pangox.aliases
-			sed -e 's/## THIS FILE.*//g' /var/lib/defoma/pango.d/pangox.aliases > /etc/pango/pangox.aliases
-			chmod 644 /etc/pango/pangox.aliases
-		elif ! test -f /etc/pango/pangox.aliases; then
-			/usr/sbin/update-pangox-aliases
-			sed -e 's/## THIS FILE.*//g' /var/lib/defoma/pango.d/pangox.aliases > /etc/pango/pangox.aliases
-		fi
-	fi
-    ;;
-
-    abort-upgrade|abort-remove|abort-deconfigure)
-
-    ;;
-
-    *)
-        echo "postinst called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0

Modified: projects/haf/trunk/pango1.0/debian/rules
===================================================================
--- projects/haf/trunk/pango1.0/debian/rules	2009-03-10 07:45:13 UTC (rev 17626)
+++ projects/haf/trunk/pango1.0/debian/rules	2009-03-10 09:56:19 UTC (rev 17627)
@@ -32,4 +32,4 @@
 DEB_DH_STRIP_ARGS := --dbg-package=libpango1.0-0
 
 install/libpango1.0-common::
-	debian/tmp/usr/bin/pango-querymodules > debian/tmp/etc/pango/pango.modules
+	echo > debian/tmp/etc/pango/pango.modules


More information about the maemo-commits mailing list